Create Conversion
POST/v1/otc/conversions
To initiate a new currency conversion, first create a Quotation ID using the endpoint /v1/quotations/spot. Then, provide the Quotation ID in the request body below and execute the operation.
Request
Header Parameters
- If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
- 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
- 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
- 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.
The replay-protection-schema allows the user to choose between 3 options:
The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
- application/json
Body
required
Quotation ID to convert.
Responses
- 201
- 400
- 401
- 422
Conversion created.
- application/json
- Schema
- Example (from schema)
Schema
Conversion ID.
Operation ID conversion.
Conversion created at.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"operation_id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"created_at": "2026-03-26T14:02:58.327Z"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.